<%@ taglib prefix='c' uri='http://java.sun.com/jstl/core' %><%@
	page language="java"
	import="org.acegisecurity.ui.AbstractProcessingFilter,
			org.acegisecurity.ui.webapp.AuthenticationProcessingFilter,
			org.acegisecurity.AuthenticationException,
			org.pentaho.platform.uifoundation.component.HtmlComponent,
			org.pentaho.platform.engine.core.system.PentahoSystem,
			org.pentaho.platform.util.messages.LocaleHelper,
			org.pentaho.platform.api.engine.IPentahoSession,
			org.pentaho.platform.api.engine.IUITemplater,
			org.pentaho.platform.web.http.PentahoHttpSessionHelper,
			org.pentaho.platform.web.jsp.messages.Messages,
			java.util.*,
			org.apache.commons.lang.StringEscapeUtils"
%><%!
// 			org.pentaho.messages.Messages,
// org.pentaho.core.util.UIUtil,
// 			org.pentaho.messages.Messages,
    // List of request URL strings to look for to send 401

    private List send401RequestList;
    public void jspInit() {
      // super.jspInit();
      send401RequestList = new ArrayList();
      String unauthList = getServletConfig().getInitParameter("send401List"); //$NON-NLS-1$
      if (unauthList == null) {
        send401RequestList.add("AdhocWebService"); //$NON-NLS-1$
      } else {
        StringTokenizer st = new StringTokenizer(unauthList, ","); //$NON-NLS-1$
        String requestStr;
        while (st.hasMoreElements()) {
          requestStr = st.nextToken();
          send401RequestList.add(requestStr.trim());
        }
      }
    }
  %><%
	response.setCharacterEncoding(LocaleHelper.getSystemEncoding());
 	String baseUrl = PentahoSystem.getApplicationContext().getBaseUrl();

	String path = request.getContextPath();

	IPentahoSession userSession = PentahoHttpSessionHelper.getPentahoSession( request );
	// ACEGI_SAVED_REQUEST_KEY contains the URL the user originally wanted before being redirected to the login page
	// if the requested url is in the list of URLs specified in the web.xml's init-param send401List,
	// then return a 401 status now and don't show a login page (401 means not authenticated)
  Object reqObj = request.getSession().getAttribute("ACEGI_SAVED_REQUEST_KEY"); //$NON-NLS-1$
  if (reqObj != null) {
    String requestedURL = reqObj.toString();
    String lookFor;
	  for (int i=0; i<send401RequestList.size(); i++) {
	    lookFor = (String)send401RequestList.get(i);
	    if ( requestedURL.indexOf(lookFor) >=0 ) {
	      response.sendError(401);
	      return;
	    }
	  }
  }%><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
         "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Pentaho Platform</title>
<meta name="viewport" content="width=320; initial-scale=1.0; maximum-scale=1.0; user-scalable=0;"/>
<style type="text/css" media="screen">@import "/pentaho-style/iui/iui.css";</style>
<script type="application/x-javascript" src="/pentaho-style/iui/iui.js"></script>
</head>

<body>
    <div class="toolbar">
        <h1 id="pageTitle"></h1>
        <a id="backButton" class="button" href="#"></a>
        <a id="rightButton" class="button" href="#"></a>
    </div>
    <div id="login" title="Pentaho BI" class="panel" selected="true">
<%        String remoteUser = StringEscapeUtils.escapeXml(request.getRemoteUser());
          if (null != remoteUser && remoteUser.length() > 0) {%>
	    <div id="news" title="Already Logged In" class="panel">
	    <a href="Logout" /><%=Messages.getString("UI.USER_LOGIN_LOGIN_AS_DIFFERENT_USER")%></a>
	    </div>
      <% } else { %>
    
    <form class="panel" action="/pentaho/j_acegi_security_check" method="POST">
        <fieldset>
            <div class="row">
                <label>Username</label>
                <input type="text" name="j_username" value="joe"/>
            </div>
            <div class="row">
                <label>Password</label>
                <input type="password" name="j_password" value="password"/>
            </div>
        </fieldset>
        <a class="whiteButton" type="submit" href="#">Login</a>
    </form> 
    <% } %>
    <!-- show news feeds here... -->
    <hr>
    <div id="news" title="What's new at Pentaho" class="panel">
       <h2>What's New at Pentaho</h2>
      <hr>
<%
ArrayList messages = new ArrayList();
HtmlComponent html = new HtmlComponent( HtmlComponent.TYPE_URL, "http://www.pentaho.org/demo/news1.htm", Messages.getString("UI.USER_OFFLINE"), null, messages);
%>
			<%=  html.getContent( "text/html" ) %>
<%--
      February 2008<br/>
      <a href="somesite" target="_new">Lifetime Networks Selects Pentaho to Support Advertising Processes</a><br/><br/>
      <a href="aonther site" target="_new">Pentaho Secures $12 Million Investment from Benchmark Capital</a><br/><br/>
 --%>           
    </div>
    </div>

</body>
</html>
